Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

pdf-tools: fails during installation #757

Open
foundjem opened this issue Sep 14, 2019 · 3 comments
Open

pdf-tools: fails during installation #757

foundjem opened this issue Sep 14, 2019 · 3 comments

Comments

@foundjem
Copy link

@foundjem foundjem commented Sep 14, 2019

/usr/local/Homebrew/Library/Homebrew/utils/github.rb:258:in raise_api_error': Validation Failed: [{"message"=>"The listed users and repositories cannot be searched either because the resources do not exist or you do not have permission to view them.", "resource"=>"Search", "field"=>"q", "code"=>"invalid"}] (GitHub::ValidationFailedError) from /usr/local/Homebrew/Library/Homebrew/utils/github.rb:212:in open_api'
from /usr/local/Homebrew/Library/Homebrew/utils/github.rb:357:in search' from /usr/local/Homebrew/Library/Homebrew/utils/github.rb:265:in search_issues'
from /usr/local/Homebrew/Library/Homebrew/utils/github.rb:278:in issues_for_formula' from /usr/local/Homebrew/Library/Homebrew/exceptions.rb:375:in fetch_issues'
from /usr/local/Homebrew/Library/Homebrew/exceptions.rb:371:in issues' from /usr/local/Homebrew/Library/Homebrew/exceptions.rb:425:in dump'
from /usr/local/Homebrew/Library/Homebrew/brew.rb:141:in rescue in <main>' from /usr/local/Homebrew/Library/Homebrew/brew.rb:38:in

'

@ndw

This comment has been minimized.

Copy link

@ndw ndw commented Jan 8, 2020

Ditto me on Catalina.

I wonder if the preceding error is also significant:

==> make server/epdfinfo CC=/usr/bin/gcc CXX=/usr/bin/gcc AR=/usr/bin/ar RANLIB=/usr/bin/ranlib
Last 15 lines from /Users/ndw/Library/Logs/Homebrew/pdf-tools/01.make:
                          ~  ^
poppler-hack.cc:88:16: error: cannot initialize a variable of type 'GooString *' with an rvalue of type 'const GooString *'
    GooString *state = a->annot->getAppearState ();
               ^       ~~~~~~~~~~~~~~~~~~~~~~~~~~~
poppler-hack.cc:108:19: error: assigning to 'GooString *' from incompatible type 'const GooString *'
    text = annot->getDate ();
           ~~~~~~~^~~~~~~~~~
3 errors generated.
make[2]: *** [epdfinfo-poppler-hack.o] Error 1

@dunn

This comment has been minimized.

Copy link
Collaborator

@dunn dunn commented Jan 15, 2020

Looks like the same error as politza/pdf-tools#389

@ndw

This comment has been minimized.

Copy link

@ndw ndw commented Jan 16, 2020

Looks like, but...

gmake[2]: Entering directory '/private/tmp/x/pdf-tools-0.80/server'
/usr/bin/gcc -DHAVE_CONFIG_H -I.    -Wall -Wall -I/usr/local/include -I/usr/local/Cellar/glib/2.62.4/include/glib-2.0 -I/usr/local/Cellar/glib/2.62.4/lib/glib-2.0/include -I/usr/local/opt/gettext/include -I/usr/local/Cellar/libffi/3.2.1/lib/libffi-3.2.1/include -I/usr/local/include -I/usr/local/Cellar/poppler/0.84.0/include/poppler/glib -I/usr/local/Cellar/poppler/0.84.0/include/poppler -I/usr/local/Cellar/cairo/1.16.0_2/include/cairo -I/usr/local/Cellar/glib/2.62.4/include -I/usr/local/Cellar/glib/2.62.4/include/glib-2.0 -I/usr/local/Cellar/glib/2.62.4/lib/glib-2.0/include -I/usr/local/opt/gettext/include -I/usr/local/Cellar/pixman/0.38.4/include/pixman-1 -I/usr/local/Cellar/fontconfig/2.13.1/include -I/usr/local/opt/freetype/include/freetype2 -I/usr/local/Cellar/libpng/1.6.37/include/libpng16 -I/usr/local/Cellar/poppler/0.84.0/include/poppler -I/usr/local/Cellar/libpng/1.6.37/include/libpng16 -std=c++11 -g -O2 -MT epdfinfo-poppler-hack.o -MD -MP -MF .deps/epdfinfo-poppler-hack.Tpo -c -o epdfinfo-poppler-hack.o `test -f 'poppler-hack.cc' || echo './'`poppler-hack.cc
poppler-hack.cc:62:30: error: no member named 'getCString' in 'GooString'
      result = g_convert (s->getCString () + 2,
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
3 participants
You can’t perform that action at this time.